{
  "schema_version": "1.4.0",
  "id": "GHSA-x7qj-rq8p-vh9r",
  "modified": "2022-05-02T06:19:37Z",
  "published": "2022-05-02T06:19:37Z",
  "aliases": [
    "CVE-2010-1158"
  ],
  "details": "Integer overflow in the regular expression engine in Perl 5.8.x allows context-dependent attackers to cause a denial of service (stack consumption and application crash) by matching a crafted regular expression against a long string.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-1158"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=580605"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=313565"
    },
    {
      "type": "WEB",
      "url": "http://perldoc.perl.org/perl5100delta.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/55314"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/04/08/9"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/04/14/3"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-04-20T15:30:00Z"
  }
}